Index: /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/ini_histmth.h
===================================================================
--- /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/ini_histmth.h	(revision 633)
+++ /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/ini_histmth.h	(revision 634)
@@ -611,103 +615,103 @@
 c
          CALL histdef(nid_mth, "dtdyn", "Dynamics dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_mth, "dqdyn", "Dynamics dQ", "kg/kg/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_mth, "dtcon", "Convection dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
 c        CALL histdef(nid_mth, "ducon", "Convection du", "m/s2",
-c    .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+c    .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
 c    .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_mth, "dqcon", "Convection dQ", "kg/kg/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_mth, "dtlsc", "Condensation dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 cIM: 071003
          CALL histdef(nid_mth, "dtlschr",
-     $       "Large-scale condensational heating rate", "K/s",iim,jjmp1
-     $       ,nhori, klev,1,klev,nvert, 32,"ave(X)", zsto,zout)
+     $       "Large-scale condensational heating rate", "K/s",iim,
+     $       jjphy_nb,nhori, klev,1,klev,nvert, 32,"ave(X)", zsto,zout)
 c
          CALL histdef(nid_mth, "dqlsc", "Condensation dQ", "kg/kg/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_mth, "dtvdf", "Boundary-layer dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_mth, "dqvdf", "Boundary-layer dQ", "kg/kg/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_mth, "dteva", "Reevaporation dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_mth, "dqeva", "Reevaporation dQ", "kg/kg/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
          CALL histdef(nid_mth, "ptconv", "POINTS CONVECTIFS"," ",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
          CALL histdef(nid_mth, "ratqs", "RATQS"," ",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
 c
          CALL histdef(nid_mth, "dtajs", "Dry adjust. dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 
          CALL histdef(nid_mth, "dqajs", "Dry adjust. dQ", "kg/kg/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_mth, "dtswr", "SW radiation dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_mth, "dtsw0", "CS SW radiation dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_mth, "dtlwr", "LW radiation dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_mth,"dtlw0","CS LW radiation dT","K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_mth, "dtec", "Cinetic dissip dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_mth, "duvdf", "Boundary-layer dU", "m/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_mth, "dvvdf", "Boundary-layer dV", "m/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          IF (ok_orodr) THEN
          CALL histdef(nid_mth, "duoro", "Orography dU", "m/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_mth, "dvoro", "Orography dV", "m/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
@@ -716,9 +720,9 @@
          IF (ok_orolf) THEN
          CALL histdef(nid_mth, "dulif", "Orography dU", "m/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_mth, "dvlif", "Orography dV", "m/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
          ENDIF
@@ -728,17 +732,17 @@
 c     IF (ok_ade.OR.ok_aie) THEN
          CALL histdef(nid_mth, "re", "CDR", "um",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_mth, "redenom", "CDR denominator", "-",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_mth, "tau", "cloud opt thickness", "-",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_mth, "taupi", "cloud opt thickn. (pi)", "-",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c     endif
@@ -748,5 +752,5 @@
          iiq=niadv(iq)
          CALL histdef(nid_mth, tnom(iq), ttext(iiq), "-",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
          ENDDO
Index: /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/ini_histmthNMC.h
===================================================================
--- /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/ini_histmthNMC.h	(revision 633)
+++ /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/ini_histmthNMC.h	(revision 634)
@@ -10,16 +10,20 @@
          CALL ymds2ju(annee_ref, 1, idayref, 0.0, zjulian)
 c
-         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlon,zx_lon)
-         DO i = 1, iim
-            zx_lon(i,1) = rlon(i+1)
-            zx_lon(i,jjmp1) = rlon(i+1)
-         ENDDO
+cym         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlon,zx_lon)
+cym         DO i = 1, iim
+cym            zx_lon(i,1) = rlon(i+1)
+cym            zx_lon(i,jjmp1) = rlon(i+1)
+cym         ENDDO
          DO ll=1,klev
             znivsig(ll)=float(ll)
          ENDDO
-         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
-         CALL histbeg("histNMC.nc", iim,zx_lon(:,1), jjmp1,zx_lat(1,:),
-     .                 1,iim,1,jjmp1, itau_phy, zjulian, dtime, 
+cym         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
+cym         CALL histbeg("histNMC.nc", iim,zx_lon(:,1), jjmp1,zx_lat(1,:),
+cym     .                 1,iim,1,jjmp1, itau_phy, zjulian, dtime, 
+cym     .                 nhori, nid_nmc)
+
+         CALL histbeg_phy("histNMC.nc",itau_phy, zjulian, dtime, 
      .                 nhori, nid_nmc)
+
          write(*,*)'Mensuel NMC ', itau_phy, zjulian
          CALL histvert(nid_nmc, "presnivs", "Vertical levels", "mb",
@@ -44,30 +48,30 @@
           CALL histdef(nid_nmc, "t"//bb,
      .                 "Temperature"//bb//"mb","K",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_nmc, "phi"//bb,
      .                "Geopotential"//bb//"mb", "m2/s2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zsto,zout)
 c
           CALL histdef(nid_nmc, "q"//bb,
      .                 "Specific humidity"//bb//"mb","kg/kg",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_nmc, "rh"//bb,
      .                 "Relative humidity"//bb//"mb", "%",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zsto,zout)
 c
           CALL histdef(nid_nmc, "u"//bb,
      .                 "Zonal wind"//bb//"mb","K",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zsto,zout)
 c
           CALL histdef(nid_nmc, "v"//bb,
      .                 "Meridional wind"//bb//"mb","K",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zsto,zout)
 c
